package domowe.r1.z03_szewc;

import javax.swing.JOptionPane;

public class Szewc4 {

    public static void main(String[] args) {
        int poczatek = Integer.parseInt(JOptionPane.showInputDialog("Którego dnia oddajesz buty do naprawy? [1-7]"));
        int czasNaprawy = Integer.parseInt(JOptionPane.showInputDialog("Ile dni potrwa naprawa?"));
        int koniec = (poczatek + czasNaprawy - 1) % 7 + 1; // wynikiem jest liczba od 1 do 7
        JOptionPane.showMessageDialog(null, "Buty będą do odbioru w dzień nr " + koniec);
        
        switch(koniec) {
            case 1 ->
                JOptionPane.showMessageDialog(null, "To jest poniedziałek");
            case 2 ->
                JOptionPane.showMessageDialog(null, "To jest wtorek");
            case 3 ->
                JOptionPane.showMessageDialog(null, "To jest środa");
            case 4 ->
                JOptionPane.showMessageDialog(null, "To jest czwartek");
            case 5 -> {
                JOptionPane.showMessageDialog(null, "To jest piątek");
                JOptionPane.showMessageDialog(null, "Weekendu początek");
            }
            case 6 ->
                JOptionPane.showMessageDialog(null, "To jest sobota");
            case 7 ->
                JOptionPane.showMessageDialog(null, "To jest niedziela");
            default ->
                JOptionPane.showMessageDialog(null, "Niepoorawny numer " + koniec, "Błąd", JOptionPane.ERROR_MESSAGE);
        }
    }

}
